Bug 610854 - Group membership count wrong
Summary: Group membership count wrong
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 15:34 UTC by Heiko W. Rupp
Modified: 2010-08-12 16:53 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:53:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot shows the issue (22.58 KB, image/png)
2010-07-02 15:34 UTC, Heiko W. Rupp
no flags Details

Description Heiko W. Rupp 2010-07-02 15:34:14 UTC
Created attachment 429102 [details]
Screenshot shows the issue

Screenshot says all :-)

Comment 1 Heiko W. Rupp 2010-07-02 15:34:52 UTC
Count is correct on Postgres though.

Comment 2 Joseph Marques 2010-07-02 15:46:13 UTC
commit fac71cddc3bd3965cfd4396a6f3c6fb5a6074048
Author: Joseph Marques <joseph@redhat.com>
Date:   Fri Jul 2 11:41:49 2010 -0400

    BZ-610854: filter the aggregate metric counts by the appropriate entity context

Comment 3 Heiko W. Rupp 2010-07-02 16:05:27 UTC
Edited subject, as it turned out that the calculation was wrong on PG too, but the issue did not surface as the number of group members was the total number of resources of that type.

QA: if you test: make sure your group only contains a fraction of the members of a certain type.

Comment 4 Corey Welton 2010-07-06 20:04:57 UTC
QA Verified - group counts are now correct.

Comment 5 Corey Welton 2010-08-12 16:53:41 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.